diff --git "a/C:\\Users\\hati\\AppData\\Local\\Temp\\TortoiseGit\\Med5BB6.tmp\\MediaPortal-8425629-left.cs" "b/C:\\mp\\MediaPortal-1\\mediaportal\\MediaPortal.Application\\MediaPortal.cs"
index 738f14e..1454a76 100644
--- "a/C:\\Users\\hati\\AppData\\Local\\Temp\\TortoiseGit\\Med5BB6.tmp\\MediaPortal-8425629-left.cs"
+++ "b/C:\\mp\\MediaPortal-1\\mediaportal\\MediaPortal.Application\\MediaPortal.cs"
@@ -121,6 +121,7 @@ public class MediaPortalApp : D3D, IRender
   private IntPtr                _displayStatusHandle;
   private IntPtr                _userPresenceHandle;
   private IntPtr                _awayModeHandle;
+  private static bool allowHomeAfterResume = false;
 
   // ReSharper disable InconsistentNaming
   private const int WM_SYSCOMMAND            = 0x0112; // http://msdn.microsoft.com/en-us/library/windows/desktop/ms646360(v=vs.85).aspx
@@ -2178,6 +2179,16 @@ public class MediaPortalApp : D3D, IRender
     }
     SaveLastActiveModule();
 
+    // go to home, reset window history, reset folder history
+    if (allowHomeAfterResume)
+    {
+      GUIWindowManager.ResetWindowsHistory();
+      MediaPortal.GUI.Video.GUIVideoFiles.ClearFolderHistory();
+      MediaPortal.GUI.Pictures.GUIPictures.ClearFolderHistory();
+      MediaPortal.GUI.Music.GUIMusicFiles.ClearFolderHistory();
+      Log.Debug("Windows history reset.");
+    }
+
     Log.Info("Main: Stopping Input Devices");
     InputDevices.Stop();
       
@@ -2274,6 +2285,7 @@ public class MediaPortalApp : D3D, IRender
 
     Log.Info("Main: OnResume - Done");
     _resuming = false;
+      
   }
   
   #endregion
@@ -2762,6 +2774,7 @@ public class MediaPortalApp : D3D, IRender
       _useLongDateFormat = xmlreader.GetValueAsBool("home", "LongTimeFormat", false);
       _startWithBasicHome = xmlreader.GetValueAsBool("gui", "startbasichome", false);
       _useOnlyOneHome = xmlreader.GetValueAsBool("gui", "useonlyonehome", false);
+      allowHomeAfterResume = xmlreader.GetValueAsBool("gui", "allowHomeAfterResume", false);
     }
 
     Log.Info("Startup: Starting Window Manager");
